#include "stdafx.h"

#include "PnxUtility.h"
#include <assert.h>

void PnxUtility::RandomGeneratorSeed(int seed=1)
{
    srand(seed);
}

int PnxUtility::GetRandomInt( int min, int max )
{
    assert(min < max);
    assert(min >= 0);

    return static_cast<int>(((double) rand() / 32767.0) * (double)max + min + 0.5);     // + 0.5 am Ende, um Rundungsfehler auszugleichen
}